local function Hide(f)
	f:SetScript('OnShow', f.Hide)
	f:Hide()
end


--[[ Moving Buttons ]]--

local function UpdateBottomButton(frame)
	local button = frame.buttonFrame.bottomButton
	if frame:AtBottom() then
		button:Hide()
	else
		button:Show()
	end
end

local function OnClick(button)
	local frame = button:GetParent()
	frame:ScrollToBottom()
	UpdateBottomButton(frame)
end

hooksecurefunc('FloatingChatFrame_OnMouseScroll', UpdateBottomButton)
for i= 1, NUM_CHAT_WINDOWS do
	local frame = _G['ChatFrame'..i]
	frame:HookScript('OnShow', UpdateBottomButton)
	
	local buttons = frame.buttonFrame
	local bottom = buttons.bottomButton
	bottom:SetPoint('BOTTOMRIGHT', frame, 'BOTTOMRIGHT')
	bottom:SetScript('OnClick', OnClick)
	bottom:SetParent(frame)
	bottom:SetAlpha(.6)
	
	UpdateBottomButton(frame)
	Hide(buttons)
end


--[[ Friends Button ]]--

FriendsMicroButton:SetAlpha(.6)
FriendsMicroButton:ClearAllPoints()
FriendsMicroButton:SetPoint('TOPRIGHT', ChatFrame1)
FriendsMicroButton:RegisterForClicks('LeftButtonUp', 'RightButtonUp')
FriendsMicroButton:SetScript('OnClick', function(self, button)
	if button == 'RightButton' then
		PlaySound('igChatEmoteButton')
		ChatFrame_OpenMenu()
	else
		ToggleFriendsFrame(1)
	end
end)

ChatMenu:SetPoint('BOTTOMLEFT', FriendsMicroButton, 'TOPRIGHT')
Hide(ChatFrameMenuButton)


--[[ Chat Text ]]--

local Get = '%s:\32'
CHAT_SAY_GET = Get
CHAT_YELL_GET = Get
CHAT_GUILD_GET = Get
CHAT_RAID_GET = Get
CHAT_PARTY_GET = Get
CHAT_PARTY_GUIDE_GET = Get
CHAT_PARTY_LEADER_GET = Get
CHAT_OFFICER_GET = Get
CHAT_RAID_LEADER_GET = Get
CHAT_WHISPER_GET = Get

local locale = GetLocale()
if locale == 'esES' then
	CHAT_WHISPER_INFORM_GET = 'Para %s:\32'
elseif locale == 'deDE' then
	CHAT_WHISPER_INFORM_GET = 'Zu %s:\32'
elseif locale == 'frFR' then
	CHAT_WHISPER_INFORM_GET = 'A %s:\32'
else
	CHAT_WHISPER_INFORM_GET = 'To %s:\32'
end

for i = 1, 24 do
	CHAT_FONT_HEIGHTS[i] = i + 6
end